### Method

# Gtk.TextBuffer.get_iter_at_line

#### Declaration [src]

    gboolean
    gtk_text_buffer_get_iter_at_line (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      int line_number
    )

#### Description [src]

Initializes `iter` to the start of the given line.

If `line_number` is greater than or equal to the number of lines in the `buffer`, the end iterator is returned.

#### Parameters

`iter` | `GtkTextIter`
| iterator to initialize
| Direction: out
| Ownership is not transferred to the callee
`line_number` | `int`
| line number counting from 0

#### Return value

Returns: `gboolean`
whether the exact position has been found